STARTUP NOMOUNT pfile=init_x.ora
CREATE CONTROLFILE SET DATABASE  oracle_sid RESETLOGS 
    MAXLOGFILES 16
    MAXLOGMEMBERS 2
    MAXDATAFILES 30
    MAXINSTANCES 1
    MAXLOGHISTORY 224
LOGFILE
  GROUP 1 '$HOME/DATA/DISK3/log1a.rdo'  SIZE 300K,
  GROUP 2 '$HOME/DATA/DISK3/log2a.rdo'  SIZE 300K
DATAFILE
  '$HOME/DATA/DISK1/system01.dbf',
  '$HOME/DATA/DISK1/temp01.dbf',
  '$HOME/DATA/DISK2/rbs01.dbf',
  '$HOME/DATA/DISK2/user01.dbf'
;
# Recovery is required if any of the datafiles are restored backups,
# or if the last shutdown was not normal or immediate.
# Database can now be opened normally.
ALTER DATABASE OPEN RESETLOGS;
