set lines 100 pages 100 feedback off head off echo off termout off

alter user scott temporary tablespace temp
/

spool droprbs.sql
select 'alter rollback segment '|| segment_name ||' offline;'
from dba_rollback_segs 
where segment_name not in ('SYSTEM', 'RBS01', 'RBS02', 'RBS03')
/
select 'drop rollback segment '|| segment_name || ';'
from dba_rollback_segs 
where segment_name not in ('SYSTEM', 'RBS01', 'RBS02', 'RBS03')
/
spool off

spool droptbs.sql
select 'drop tablespace '|| tablespace_name ||' including contents;'
from dba_tablespaces 
where tablespace_name not in ('SYSTEM', 'RBS', 'USER_DATA', 'TEMP')
/
spool off

spool remofile.sh 
select 'rm '|| file_name from dba_data_files 
where tablespace_name not in ('SYSTEM', 'RBS', 'USER_DATA', 'TEMP')
/
spool off
@droprbs.sql
@droptbs.sql
set lines 100 pages 100 feedback on head on echo on  termout on 
!chmod 775 remofile.sh
!sh remofile.sh
!rm droprbs.sql
!rm droptbs.sql
!rm remofile.sh
                                                       
