REM Modifications
REM 7/2/97  jdiianni - Removed extra /

@../DEMO/demobld
DECLARE
    CURSOR emp_cursor IS
        SELECT id, last_name, salary, commission_pct FROM scott.s_emp
        WHERE dept_id in (31,32,33,34,35) order by s_emp.id desc;
    total_wages   NUMBER(11,2) := 0;
    high_paid     NUMBER(4) := 0;
    higher_comm   NUMBER(4) := 0;
    emp_record  emp_cursor%ROWTYPE;
BEGIN
    /* The number of iterations will equal the number of rows *
     * returned by emp_cursor.                                */
    FOR emp_record IN emp_cursor LOOP
        emp_record.commission_pct := NVL(emp_record.commission_pct, 0);
        total_wages := total_wages + emp_record.salary +
            emp_record.commission_pct;
        IF emp_record.salary > 2000.00 THEN
            high_paid := high_paid + 1;
        END IF;
        IF emp_record.commission_pct > emp_record.salary THEN
            higher_comm := higher_comm + 1;
        END IF;
    END LOOP;
    INSERT INTO scott.s_temp VALUES
    (emp_record.id,emp_record.last_name,total_wages);
    COMMIT;
END;
/
execute scott.growcust;
execute scott.groword;
update scott.s_inventory set out_of_stock_explanation =
                       out_of_stock_explanation || 'XXXXXX';
commit;
select lpad(' ',2*(LEVEL-1)) || last_name,FIRST_name
,ID,MANAGER_id,title,salary
from scott.s_emp 
start with title = 'President'
connect by prior id = MANAGER_id;
exit;
