connect scott/tiger
rem uncomment the next line if the tables have not been
rem built during the labs
rem @pttables 

drop role master;

drop public synonym s_emp;
drop public synonym s_customer;
drop public synonym s_dept;
drop public synonym s_item;
drop public synonym s_ord;
drop public synonym s_product;
drop public synonym s_audit;
drop public synonym s_warehouse;
drop public synonym s_inventory;
drop public synonym s_longtext;
drop public synonym s_temp;
drop public synonym s_region;

drop public synonym s_customer_id ;
drop public synonym s_dept_id     ;
rem drop public synonym s_image_id    ;
drop public synonym s_longtext_id ;
drop public synonym s_ord_id       ;      
drop public synonym s_product_id  ; 
drop public synonym s_warehouse_id ; 
drop public synonym s_inventory_id ;
drop public synonym s_region_id ;
drop public synonym s_emp_id ;

create public synonym s_emp        for  scott.s_emp;
create public synonym s_customer   for  scott.s_customer;
create public synonym s_dept       for  scott.s_dept;
create public synonym s_item       for  scott.s_item;
create public synonym s_ord        for  scott.s_ord;
create public synonym s_product    for  scott.s_product;
create public synonym s_audit      for  scott.s_audit;
create public synonym s_warehouse  for  scott.s_warehouse;
create public synonym s_inventory  for  scott.s_inventory;
create public synonym s_longtext   for  scott.s_longtext;
create public synonym s_temp       for  scott.s_temp;
create public synonym s_region     for  scott.s_region;

create public synonym s_customer_id  for scott.s_customer_id;
create public synonym s_dept_id      for scott.s_dept_id;
create public synonym s_emp_id       for scott.s_emp_id;
create public synonym s_longtext_id  for scott.s_longtext_id;
create public synonym s_ord_id       for scott.s_ord_id;      
create public synonym s_product_id   for scott.s_product_id; 
create public synonym s_region_id    for scott.s_region_id; 
create public synonym s_warehouse_id for scott.s_warehouse_id; 
create public synonym s_inventory_id for scott.s_inventory_id;

create role master;

grant all on s_emp       to master;
grant all on s_customer  to master;
grant all on s_dept      to master;
grant all on s_item      to master;
grant all on s_ord       to master;
grant all on s_product   to master;
grant all on s_audit     to master;
grant all on s_warehouse to master;
grant all on s_inventory to master;
grant all on s_temp      to master;
grant all on s_longtext  to master;
grant all on s_region  to master;


grant select on s_customer_id  to master;
rem grant select on s_dept_id      to master;
grant select on s_emp_id       to master;
rem grant select on s_image_id     to master;
grant select on s_longtext_id  to master;
grant select on s_ord_id       to master;
grant select on s_product_id   to master;
grant select on s_region_id    to master;
grant select on s_warehouse_id to master;
rem grant select on s_inventory_id to master;

grant analyze any to master;

grant execute on growcust  to master;
grant execute on growemp   to master;
grant execute on growprod  to master;
grant execute on groword   to master;
grant execute on growtemp  to master;

grant master to user01,user02,user03,user04,user05;
