drop table t1
/

create table t1
(c1 number,
 c2 varchar2(50))
/

create unique index i_t1
on t1(c1) reverse
/

select * from dba_indexes where index_name='I_T1'
/

SELECT o.object_name
FROM dba_objects o
WHERE o.object_id IN (SELECT i.obj#
                      FROM sys.ind$ i
                      WHERE BITAND(i.property,4) = 4)
/

create unique index i2_t1
on t1(c2);
select * from dba_indexes where index_name='I2_T1';
alter index i2_t1 rebuild reverse;
select * from dba_indexes where index_name='I2_T1';
